@ECHO OFF
REM =========================================================================
REM Batch file installer for Printer Settings Program
REM For Dutch
REM Copyright(c) Hewlett-Packard Company, 1995
REM =========================================================================
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM          Must check the existence of the files before continuing
REM      if install.bat is not run from the installer disk, report error
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
IF NOT EXIST install.bat  GOTO INSTERROR
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM check the existence of files which are not country dependent
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
IF NOT EXIST pcp\djpmenu.ex_  GOTO FILEMISSING
IF NOT EXIST pcp\expand.exe   GOTO FILEMISSING
IF NOT EXIST pcp\font1.da_    GOTO FILEMISSING
IF NOT EXIST pcp\font2.da_    GOTO FILEMISSING
IF NOT EXIST pcp\hplogo.bat   GOTO FILEMISSING
IF NOT EXIST pcp\hpask.com    GOTO FILEMISSING
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM check the existence of other files
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
IF NOT EXIST pcp\djptxt.du_   GOTO FILEMISSING
IF NOT EXIST pcp\resource.du_ GOTO FILEMISSING
IF NOT EXIST pcp\norway       GOTO FILEMISSING
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM start the installation process
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
:NOPORT
CALL PCP\HPLOGO.BAT
ECHO     Ŀ
ECHO           Met het configuratiehulpprogramma DJPMenu kunt u de          
ECHO           instellingen van uw HP DeskJet Portable printers             
ECHO           wijzigen of definiren.                                      
ECHO                                                                        
ECHO           Voordat u het DJPMenu installeert, moet u controleren of     
ECHO           de printer is aangesloten op de parallelle poort van uw      
ECHO           computer en AAN staat.                                       
ECHO     
ECHO 
ECHO            Op welke parallelle poort is de printer aangesloten?
ECHO 
ECHO            [1]  LPT1:             [2]  LPT2:             [3]  LPT3:
ECHO 
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Ask the user which port is the printer connected to.
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
PCP\HPASK "           Typ printerkeuze (1-3):"
IF ERRORLEVEL 52 GOTO NOPORT
IF ERRORLEVEL 51 GOTO PORT3
IF ERRORLEVEL 50 GOTO PORT2
IF ERRORLEVEL 49 GOTO PORT1
GOTO NOPORT
:PORT3
SET PORT=LPT3:
GOTO NEXT1
:PORT2
SET PORT=LPT2:
GOTO NEXT1
:PORT1
SET PORT=LPT1:
:NEXT1
CALL PCP\HPLOGO.BAT
ECHO     Ŀ
ECHO             De bestanden worden naar C:\DESKJET gekopieerd. De         
ECHO             vereiste schijfruimte is minder dan 100 Kb.                
ECHO     
ECHO 
ECHO           U hebt %PORT% gekozen als de parallelle poort.
ECHO           Als de poortkeuze fout is, kunt u de installatie beindigen
ECHO           door op Ctrl-C te drukken.
ECHO 
ECHO Druk op Ctrl-C om te beindigen of
PAUSE
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Inform user that the files will be expanded in C:\DESKJET directory.
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
CALL PCP\HPLOGO.BAT
ECHO Bezig met installeren ...

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM If c:\deskjet directory does not exist, create it.
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
IF NOT EXIST c:\deskjet\nul GOTO NODIR
GOTO DIROK
:NODIR
ECHO Directory C:\DESKJET wordt aangemaakt
MKDIR c:\deskjet
:DIROK

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Copy resource string over to C:\DESKJET
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
ECHO RESOURCE wordt in C:\DESKJET gexplodeerd
IF EXIST c:\deskjet\resource DEL c:\deskjet\resource
pcp\expand pcp\resource.du_ c:\deskjet\resource > nul

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Copy fontlist.dat over to C:\DESKJET
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
ECHO FONT?.DAT wordt in C:\DESKJET gexplodeerd
IF EXIST c:\deskjet\font1.dat DEL c:\deskjet\font1.dat
pcp\expand -r pcp\font1.da_ c:\deskjet > nul
IF EXIST c:\deskjet\font2.dat DEL c:\deskjet\font2.dat
pcp\expand -r pcp\font2.da_ c:\deskjet > nul

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Copy djpmenu.txt over to C:\DESKJET
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
ECHO DJPMENU.TXT wordt in C:\DESKJET gexplodeerd
IF EXIST c:\deskjet\djpmenu.txt DEL c:\deskjet\djpmenu.txt
pcp\expand pcp\djptxt.du_ c:\deskjet\djpmenu.txt > nul

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Copy djpmenu.exe over to C:\DESKJET
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
ECHO DJPMENU.EXE wordt in C:\DESKJET gexplodeerd
IF EXIST c:\deskjet\djpmenu.exe DEL c:\deskjet\djpmenu.exe
pcp\expand -r pcp\djpmenu.ex_ c:\deskjet > nul

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Copy country defaults over to C:\DESKJET
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
ECHO Landinstellingen (standaardwaarden) van de printer worden geconfigureerd
copy pcp\norway %PORT% /b > nul
set PORT=
PAUSE

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Check all the necessary files have been copied over to C:\DESKJET
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
IF NOT EXIST c:\deskjet\djpmenu.exe  GOTO NOTCOMPLETE
IF NOT EXIST c:\deskjet\djpmenu.txt  GOTO NOTCOMPLETE
IF NOT EXIST c:\deskjet\resource     GOTO NOTCOMPLETE
IF NOT EXIST c:\deskjet\font1.dat    GOTO NOTCOMPLETE
IF NOT EXIST c:\deskjet\font2.dat    GOTO NOTCOMPLETE
CALL PCP\HPLOGO.BAT
ECHO     Ŀ
ECHO         De installatie is voltooid.                                    
ECHO                                                                        
ECHO         Raadpleeg het bestand DJPMENU.TXT in de directory C:\DESKJET   
ECHO         voor informatie over het gebruik en de functies van DJPMenu.   
ECHO         Typ DJPMENU achter de prompt C:\DESKJET om DJPMenu te          
ECHO         starten. U kunt ook C:\DESKJET toevoegen aan het pad van       
ECHO         het bestand AUTOEXEC.BAT.                                      
ECHO                                                                        
ECHO         Controleer tevens of de landinstelling in het menu             
ECHO         'Geavanceerde instellingen' van DJPMenu is ingesteld op de     
ECHO         Verenigde Staten. Bij de HP DeskJet Portable, HP DeskJet 310   
ECHO         en HP DeskJet 320 wordt de gekozen landinstelling slechts      
ECHO         actief nadat de printer opnieuw is ingesteld (druk op de       
ECHO         Online- en Setup-toetsen terwijl u de printer aanzet).         
ECHO     
ECHO 
GOTO END
:NOTCOMPLETE
CALL PCP\HPLOGO.BAT
ECHO     Ŀ
ECHO            En of meer bestanden zijn niet correct gekopieerd.         
ECHO            Misschien is er onvoldoende ruimte beschikbaar op           
ECHO            drive C. Maak ruimte vrij op drive C en start het           
ECHO            installatieprogramma opnieuw.                               
ECHO     
ECHO 
GOTO END
:INSTERROR
CLS
ECHO     Ŀ
ECHO                                 ** FOUT **                             
ECHO                                                                        
ECHO             U moet INSTALL starten vanaf de installatiediskette.       
ECHO             Plaats de diskette in station A:, ga naar station A:       
ECHO             en typ INSTALL.                                            
ECHO     
ECHO 
GOTO END
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Error message to inform the user that he/she might accientally delete
REM file(s) from the installer disk which is/are important.
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
:FILEMISSING
ECHO     Ŀ
ECHO                                 ** FOUT **                             
ECHO                                                                        
ECHO           Sommige bestanden ontbreken op uw installatiediskette.       
ECHO           Neem contact op met het dichtstbijzijnde ondersteunings-     
ECHO           centrum van HP voor een nieuwe diskette.                     
ECHO     
ECHO 
:END




