@ECHO OFF
REM =========================================================================
REM Batch file installer for Printer Settings Program 
REM For (French)
REM Copyright(c) Hewlett-Packard Company, 1995
REM =========================================================================
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM          Must check the existence of the files before continuing
REM      if install.bat is not run from the installer disk, report error
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
IF NOT EXIST install.bat  GOTO INSTERROR
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM check the existence of files which are not country dependent
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
IF NOT EXIST pcp\djpmenu.ex_  GOTO FILEMISSING
IF NOT EXIST pcp\expand.exe   GOTO FILEMISSING
IF NOT EXIST pcp\font1.da_    GOTO FILEMISSING
IF NOT EXIST pcp\font2.da_    GOTO FILEMISSING
IF NOT EXIST pcp\hplogo.bat   GOTO FILEMISSING
IF NOT EXIST pcp\hpask.com    GOTO FILEMISSING
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM check the existence of other files
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
IF NOT EXIST pcp\djptxt.fr_   GOTO FILEMISSING
IF NOT EXIST pcp\resource.fr_ GOTO FILEMISSING
IF NOT EXIST pcp\france       GOTO FILEMISSING
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM start the installation process
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
:NOPORT
CALL PCP\HPLOGO.BAT
ECHO     Ŀ
ECHO           L'utilitaire de configuration DJPMenu vous permet de         
ECHO           modifier ou de dfinir les rglages de vos imprimantes       
ECHO           HP DeskJet Portable.                                         
ECHO                                                                        
ECHO           Avant d'installer DJPMenu, assurez-vous que l'imprimante     
ECHO           soit bien connecte au port parallle de l'ordinateur et     
ECHO           qu'elle soit bien SOUS TENSION.                              
ECHO     
ECHO 
ECHO            A quel port parallle l'imprimante est-elle connecte ?
ECHO 
ECHO            [1]  LPT1:             [2]  LPT2:             [3]  LPT3:
ECHO 
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Ask the user which port is the printer connected to.
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
PCP\HPASK "           Saisissez le numro correspondant au port (1-3) :"
IF ERRORLEVEL 52 GOTO NOPORT
IF ERRORLEVEL 51 GOTO PORT3
IF ERRORLEVEL 50 GOTO PORT2
IF ERRORLEVEL 49 GOTO PORT1
GOTO NOPORT
:PORT3
SET PORT=LPT3:
GOTO NEXT1
:PORT2
SET PORT=LPT2:
GOTO NEXT1
:PORT1
SET PORT=LPT1:
:NEXT1
CALL PCP\HPLOGO.BAT
ECHO     Ŀ
ECHO          Les fichiers seront copis dans le rpertoire C:\DESKJET.     
ECHO          L'espace ncessaire sur le disque est infrieur  100 Ko.     
ECHO     
ECHO 
ECHO           Vous avez choisi %PORT% comme port parallle.
ECHO           Si le choix est inexact, vous pouvez quitter le
ECHO           programme d'installation en appuyant sur CTRL-C.
ECHO 
ECHO Ctrl-C pour quitter ou
PAUSE
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Inform user that the files will be expanded in C:\DESKJET directory.
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
CALL PCP\HPLOGO.BAT
ECHO Installation en cours...

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM If c:\deskjet directory does not exist, create it.
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
IF NOT EXIST c:\deskjet\nul GOTO NODIR
GOTO DIROK
:NODIR
ECHO Cration du rpertoire C:\DESKJET
MKDIR c:\deskjet
:DIROK

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Copy resource string over to C:\DESKJET
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
ECHO Dcompression de RESOURCE dans C:\DESKJET
IF EXIST c:\deskjet\resource DEL c:\deskjet\resource
pcp\expand pcp\resource.fr_ c:\deskjet\resource > nul

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Copy font?.dat over to C:\DESKJET
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
ECHO Dcompression de FONT?.DAT dans C:\DESKJET
IF EXIST c:\deskjet\font1.dat DEL c:\deskjet\font1.dat
pcp\expand -r pcp\font1.da_ c:\deskjet > nul
IF EXIST c:\deskjet\font2.dat DEL c:\deskjet\font2.dat
pcp\expand -r pcp\font2.da_ c:\deskjet > nul

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Copy djpmenu.txt over to C:\DESKJET
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
ECHO Dcompression de DJPMENU.TXT dans C:\DESKJET
IF EXIST c:\deskjet\djpmenu.txt DEL c:\deskjet\djpmenu.txt
pcp\expand pcp\djptxt.fr_ c:\deskjet\djpmenu.txt > nul

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Copy djpmenu.exe over to C:\DESKJET
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
ECHO Dcompression de DJPMENU.EXE dans C:\DESKJET
IF EXIST c:\deskjet\djpmenu.exe DEL c:\deskjet\djpmenu.exe
pcp\expand -r pcp\djpmenu.ex_ c:\deskjet > nul

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Copy country defaults over to C:\DESKJET
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
ECHO Configuration des rglages du pays par dfaut pour l'imprimante
copy pcp\france %PORT% /b > nul
set PORT=
PAUSE

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Check all the necessary files have been copied over to C:\DESKJET
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
IF NOT EXIST c:\deskjet\djpmenu.exe  GOTO NOTCOMPLETE
IF NOT EXIST c:\deskjet\djpmenu.txt  GOTO NOTCOMPLETE
IF NOT EXIST c:\deskjet\resource     GOTO NOTCOMPLETE
IF NOT EXIST c:\deskjet\font1.dat    GOTO NOTCOMPLETE
IF NOT EXIST c:\deskjet\font2.dat    GOTO NOTCOMPLETE
CALL PCP\HPLOGO.BAT
ECHO     Ŀ
ECHO        L'installation est termine.                                    
ECHO                                                                        
ECHO        Reportez-vous au fichier DJPMENU.TXT du rpertoire C:\DESKJET   
ECHO        indiquant les fonctions et l'utilisation de DJPMenu.            
ECHO        Pour l'excuter, tapez DJPMENU depuis C:\DESKJET.               
ECHO        Vous pouvez aussi modifier AUTOEXEC.BAT pour y ajouter          
ECHO        le repertoire C:\DESKJET  l'instruction PATH.                  
ECHO                                                                        
ECHO        Vrifiez aussi la langue dans le menu des rglages avancs      
ECHO        de DJPMenu - Elle doit tre rgle sur  franais . Pour les   
ECHO        imprimantes HP DeskJet Portable, HP DeskJet 310 et HP DeskJet   
ECHO        320, le pays choisi par dfaut ne sera activ qu'aprs           
ECHO        la rinitialisation de l'imprimante (appuyez sur les touches     
ECHO        Online et Setup tout en mettant l'imprimante sous tension).     
ECHO     
ECHO 
GOTO END
:NOTCOMPLETE
CALL PCP\HPLOGO.BAT
ECHO     Ŀ
ECHO         Un ou plusieurs fichiers n'ont pas t copis correctement.    
ECHO         Il se peut que l'espace sur le disque C soit insuffisant.      
ECHO         Librez un peu d'espace sur le disque C et relancez            
ECHO         l'installation.                                                
ECHO     
ECHO 
GOTO END
:INSTERROR
CLS
ECHO     Ŀ
ECHO                                ** ERREUR **                            
ECHO                                                                        
ECHO           Le programme INSTALL doit tre excut  partir de la        
ECHO           disquette d'installation. Placez la disquette dans le         
ECHO           lecteur A:,puis passez au lecteur A: et tapez INSTALL.       
ECHO     
ECHO 
GOTO END
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Error message to inform the user that he/she might accientally delete
REM file(s) from the installer disk which is/are important.
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
:FILEMISSING
ECHO     Ŀ
ECHO                                ** ERREUR **                            
ECHO                                                                        
ECHO           Il manque certains fichiers importants sur la disquette      
ECHO           d'installation. Contactez le centre d'assistance  la        
ECHO           clientle HP le plus proche pour obtenir une autre           
ECHO           disquette.                                                   
ECHO     
ECHO 
:END
