@ECHO OFF
REM =========================================================================
REM Batch file installer for Printer Settings Program
REM For German
REM Copyright(c) Hewlett-Packard Company, 1995
REM =========================================================================
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM          Must check the existence of the files before continuing
REM      if install.bat is not run from the installer disk, report error
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
IF NOT EXIST install.bat  GOTO INSTERROR
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM check the existence of files which are not country dependent
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
IF NOT EXIST pcp\djpmenu.ex_  GOTO FILEMISSING
IF NOT EXIST pcp\expand.exe   GOTO FILEMISSING
IF NOT EXIST pcp\font1.da_    GOTO FILEMISSING
IF NOT EXIST pcp\font2.da_    GOTO FILEMISSING
IF NOT EXIST pcp\hplogo.bat   GOTO FILEMISSING
IF NOT EXIST pcp\hpask.com    GOTO FILEMISSING
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM check the existence of other files
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
IF NOT EXIST pcp\djptxt.ge_   GOTO FILEMISSING
IF NOT EXIST pcp\resource.ge_ GOTO FILEMISSING
IF NOT EXIST pcp\germany      GOTO FILEMISSING
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM start the installation process
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
:NOPORT
CALL PCP\HPLOGO.BAT
ECHO     Ŀ
ECHO          ber das Konfigurations-Dienstprogramm DJPMenu                
ECHO          knnen Sie die Einstellungen Ihres HP DeskJet Portable        
ECHO          festlegen bzw. ndern.                                        
ECHO          Bevor Sie DJPMenu installieren, sollten Sie sich              
ECHO          vergewissern, da der Drucker an den parallelen Anschlu      
ECHO          des Computers angeschlossen und EINGESCHALTET ist.            
ECHO     
ECHO 
ECHO          An welchen parallelen Anschlu ist der Drucker angeschlossen?
ECHO 
ECHO          [1]  LPT1:             [2]  LPT2:             [3]  LPT3:
ECHO 
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Ask the user which port is the printer connected to.
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
PCP\HPASK "         Gewnschten Anschlu eingeben (1-3):"
IF ERRORLEVEL 52 GOTO NOPORT
IF ERRORLEVEL 51 GOTO PORT3
IF ERRORLEVEL 50 GOTO PORT2
IF ERRORLEVEL 49 GOTO PORT1
GOTO NOPORT
:PORT3
SET PORT=LPT3:
GOTO NEXT1
:PORT2
SET PORT=LPT2:
GOTO NEXT1
:PORT1
SET PORT=LPT1:
:NEXT1
CALL PCP\HPLOGO.BAT
ECHO     Ŀ
ECHO          Die Dateien werden in das Verzeichnis C:\DESKJET kopiert.     
ECHO          Der notwendige Speicherplatz betrgt weniger als 100 Kbyte.   
ECHO     
ECHO 
ECHO        Sie haben den Anschlu %PORT% als parallelen Anschlu gewhlt.
ECHO        Wenn diese Anschluwahl falsch ist, knnen Sie die Installation
ECHO        von DJPMenu beenden, indem Sie STRG-C drcken.
ECHO 
ECHO STRG-C um zu beenden, oder
PAUSE
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Inform user that the files will be expanded in C:\DESKJET directory.
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
CALL PCP\HPLOGO.BAT
ECHO Das Programm wird installiert...

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM If c:\deskjet directory does not exist, create it.
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
IF NOT EXIST c:\deskjet\nul GOTO NODIR
GOTO DIROK
:NODIR
ECHO Das Verzeichnis C:\DESKJET wird erstellt...
MKDIR c:\deskjet
:DIROK

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Copy resource string over to C:\DESKJET
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
ECHO Dekomprimiert RESOURCE in C:\DESKJET...
IF EXIST c:\deskjet\resource DEL c:\deskjet\resource
pcp\expand pcp\resource.ge_ c:\deskjet\resource > nul

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Copy font?.dat over to C:\DESKJET
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
ECHO Dekomprimiert FONT?.DAT in C:\DESKJET...
IF EXIST c:\deskjet\font1.dat DEL c:\deskjet\font1.dat
pcp\expand -r pcp\font1.da_ c:\deskjet > nul
IF EXIST c:\deskjet\font2.dat DEL c:\deskjet\font2.dat
pcp\expand -r pcp\font2.da_ c:\deskjet > nul

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Copy djpmenu.txt over to C:\DESKJET
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
ECHO Dekomprimiert DJPMENU.TXT in C:\DESKJET...
IF EXIST c:\deskjet\djpmenu.txt DEL c:\deskjet\djpmenu.txt
pcp\expand pcp\djptxt.ge_ c:\deskjet\djpmenu.txt > nul

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Copy djpmenu.exe over to C:\DESKJET
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
ECHO Dekomprimiert DJPMENU.EXE in C:\DESKJET...
IF EXIST c:\deskjet\djpmenu.exe DEL c:\deskjet\djpmenu.exe
pcp\expand -r pcp\djpmenu.ex_ c:\deskjet > nul

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Copy country defaults over to C:\DESKJET
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
ECHO Die Lndervorgaben des Druckers werden konfiguriert...
copy pcp\germany %PORT% /b > nul
set PORT=
PAUSE

REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Check all the necessary files have been copied over to C:\DESKJET
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
IF NOT EXIST c:\deskjet\djpmenu.exe  GOTO NOTCOMPLETE
IF NOT EXIST c:\deskjet\djpmenu.txt  GOTO NOTCOMPLETE
IF NOT EXIST c:\deskjet\resource     GOTO NOTCOMPLETE
IF NOT EXIST c:\deskjet\font1.dat    GOTO NOTCOMPLETE
IF NOT EXIST c:\deskjet\font2.dat    GOTO NOTCOMPLETE
CALL PCP\HPLOGO.BAT
ECHO     Ŀ
ECHO         Die Installation ist abgeschlossen.                            
ECHO                                                                        
ECHO         Informieren Sie sich in der Datei DJPMENU.TXT im               
ECHO         Verzeichnis C:\DESKJET ber die Funktionen von                   
ECHO         DJPMenu und deren Verwendung. Um DJPMenu auszufhren,          
ECHO         mssen Sie DJPMENU an der Eingabeaufforderung C:\DESKJET       
ECHO         eingeben. Sie knnen auch AUTOEXEC.BAT so modifizieren,        
ECHO         da C:\DESKJET als Pfad vorgegeben ist.                        
ECHO                                                                        
ECHO         Vergewissern Sie sich, da als Lndervorgabe Deutschland in    
ECHO         den erweiterten Einstellungen von DJPMenu gewhlt ist.         
ECHO         Beim HP DeskJet Portable, HP DeskJet 310 und HP DeskJet 320    
ECHO         wird die Lndervorgabe erst aktiviert, nachdem der Drucker      
ECHO         zurckgesetzt wurde. (Halten Sie die Tasten Online und Setup    
ECHO         beim Einschalten des Druckers gedrckt.)                       
ECHO     
ECHO 
GOTO END
:NOTCOMPLETE
CALL PCP\HPLOGO.BAT
ECHO     Ŀ
ECHO         Eine oder mehrere Dateien wurden nicht korrekt kopiert.        
ECHO         Eventuell ist in Laufwerk C nicht genug Speicherplatz          
ECHO         vorhanden. Stellen Sie mehr Speicherplatz im Laufwerk C        
ECHO         bereit, und fhren Sie das Installationsprogramm erneut aus.   
ECHO     
ECHO 
GOTO END
:INSTERROR
CLS
ECHO     Ŀ
ECHO                                 ** FEHLER **                           
ECHO                                                                        
ECHO          Sie mssen die Installation von der Installationsdiskette     
ECHO          ausfhren.  Legen Sie die Diskette in Laufwerk A: ein,          
ECHO          wechseln Sie zu Laufwerk A:, und geben Sie INSTALL ein.                
ECHO     
ECHO 
GOTO END
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
REM Error message to inform the user that he/she might accientally delete
REM file(s) from the installer disk which is/are important.
REM =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
:FILEMISSING
ECHO     Ŀ
ECHO                                 ** FEHLER **                           
ECHO                                                                        
ECHO           Einige Dateien fehlen auf der Installationsdiskette.         
ECHO           Wenden Sie sich an das nchstgelegene HP-Kundendienst-       
ECHO           zentrum, um eine Ersatzdiskette anzufordern.                 
ECHO     
ECHO 
:END




